Skip to navigation

Update app session

Update app session

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
messageslist of objectsOptional

An array of SessionMessage describing the current session state.

statusenumOptional
Values that can be specified when updating the status of a Session
Allowed values:
timeoutSecondsintegerOptional1-2592000
Timeout in seconds, a value between 1 second and 30 days. Once set, it can only be increased, not decreased.

Response

OK
appobjectOptional
createdAtdatetimeOptional
idstringOptional
messageslist of objects or nullOptional

An array of SessionMessage describing the current session state.

modifiedAtdatetimeOptional
namestringOptional3-100 characters

A brief description of the app’s actions for users. Length must be between 3-100 chars. It becomes immutable once a value is set.

statusenumOptional

All possible values of a Session’s status, including system-updated and user-updated values.

Allowed values:
timeoutSecondsintegerOptional1-2592000
Timeout in seconds, a value between 1 second and 30 days. Once set, it can only be increased, not decreased.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error